Skip to main content
`Ctrl`+`K`

# pandas.api.extensions.ExtensionArray.searchsorted

ExtensionArray.searchsorted(value, side='left', sorter=None)

  Find indices where elements should be inserted to maintain order.

  Find the indices into a sorted array self (a) such that, if the corresponding elements in value were inserted before the indices, the order of self would be preserved.

  Assuming that self is sorted:

  side | returned index i satisfies
  --- | ---
  left | `self[i-1] < value <= self[i]`
  right | `self[i-1] <= value < self[i]`

  Parameters:
    value array-like, list or scalar

      Value(s) to insert into self.

    side{‘left’, ‘right’}, optional

      If ‘left’, the index of the first suitable location found is given. If ‘right’, return the last such index. If there is no suitable index, return either 0 or N (where N is the length of self).

    sorter 1-D array-like, optional

      Optional array of integer indices that sort array a into ascending order. They are typically the result of argsort.

  Returns:
    array of ints or int

      If value is array-like, array of insertion points. If value is scalar, a single integer.

  See also

  `numpy.searchsorted`

    Similar method from NumPy.

  Examples

      >>> arr = pd.array([1, 2, 3, 5])
      >>> arr.searchsorted([4])
      array([3])